### Method

# GtkSource File set_location

#### Declaration [src]

    void
    gtk_source_file_set_location (
      GtkSourceFile* file,
      GFile* location
    )

#### Description [src]

Sets the location.

Sets property | `GtkSource.File:location`

#### Parameters

`location`

  Type: `GFile`

  The new `GFile`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.